<?php

/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty {sbutton} function plugin
 *
 * Type:     function<br>
 * Name:     sbutton<br>
 * @param array $params
 * @param Smarty
 * @return string|null
 * @author Henning Leutz <henbug @ pcsg . de>
 */
function smarty_function_sbutton($params, &$smarty)
{
    $Toolbar = new \QUI\Controls\Toolbar\Bar([
        'name' => 'tb',
        'parent' => 'site_type_edit'
    ]);

    $Toolbar->appendChild(
        new \QUI\Controls\Buttons\Button([
            'name' => $params['name'],
            'onclick' => $params['onclick'],
            'text' => $params['text'],
            'icon' => $params['icon']
        ])
    );

    return '<script>' . $Toolbar->create() . '</script>';
}
